How do I add php4 with apache-fp

How do I add php4 with apache-fp

Post by Brent Bol » Sat, 06 Jul 2002 23:21:25



Hi all,

How can I add mod_php4 to my current apache-fp

apache_fp-1.3.23    The Apache webserver with MS Frontpage Module

The dependencies are looking for -

mod_php4-4.2.1_1
    PHP4 module for Apache

    Requires: apache-1.3.24_7, autoconf213-2.13.000227_1, m4-1.4_1

tku

 
 
 

How do I add php4 with apache-fp

Post by Okki » Sat, 06 Jul 2002 23:32:29



>Hi all,

>How can I add mod_php4 to my current apache-fp

>apache_fp-1.3.23    The Apache webserver with MS Frontpage Module

>The dependencies are looking for -

>mod_php4-4.2.1_1
>    PHP4 module for Apache

>    Requires: apache-1.3.24_7, autoconf213-2.13.000227_1, m4-1.4_1

>tku

Your dependencies are telling you: you need apache-1.3.24_7 while you have
apache_fp-1.3.23 !
Doesn't ring a bell?

Grz. Okki

PS. You should really concider upgrading your apache server to 1.3.26 because of
the Chunked encoding vulnerability discussed in
http://www.apacheweek.com/issues/02-06-21

 
 
 

How do I add php4 with apache-fp

Post by Brent Bol » Wed, 10 Jul 2002 03:19:07


This is the most current version of apache-fp that I can see.

Is there no package/ports for just php4 ?



> >Hi all,

> >How can I add mod_php4 to my current apache-fp

> >apache_fp-1.3.23    The Apache webserver with MS Frontpage Module

> >The dependencies are looking for -

> >mod_php4-4.2.1_1
> >    PHP4 module for Apache

> >    Requires: apache-1.3.24_7, autoconf213-2.13.000227_1, m4-1.4_1

> >tku

> Your dependencies are telling you: you need apache-1.3.24_7 while you have
> apache_fp-1.3.23 !
> Doesn't ring a bell?

> Grz. Okki

> PS. You should really concider upgrading your apache server to 1.3.26 because of
> the Chunked encoding vulnerability discussed in
> http://www.apacheweek.com/issues/02-06-21

 
 
 

How do I add php4 with apache-fp

Post by jp » Wed, 10 Jul 2002 03:27:58



Quote:> This is the most current version of apache-fp that I can see.

> Is there no package/ports for just php4 ?

*yawn*. On a hunch:

$ cd /usr/ports/*/php4
$ pwd
/usr/ports/lang/php4
$ cat Makefile
[...]
STANDALONE=     yes

.include "${MASTERDIR}/Makefile"
$ _

[snip: sigh, silly top-poster]

Don't Do That.

--
  j p d (at) d s b (dot) t u d e l f t (dot) n l .

 
 
 

1. Setting up virtual hosting for apache + FP + SSL + DAV + PHP4

When I introduce <Virtual > Directive in, the server tends to crash,
but when I remove said directive, the server restart.

POINTERS please.  I needed this up one hour ago.

Please follow-up by e-mail and news followup posting.

--
God Queen and Country                           Member - Liberal International

Society MUST be saved! Republics must dissolve.
10 Years using the Internet and still broadcasting the truth

2. scheduler params ...

3. How to remove Apache/FP 1.2.5 and FP 3.0 extensions

4. Cleaning wtmp

5. apache-fp patch on apache-1.3.14

6. Disk optimizers

7. Install DES lib for Apache-fp

8. dlopen() and Solaris 2.5

9. Apache1.3.3 + Apache-SSL mod + fp-apache mod

10. Apache-fp installation for FreeBSD

11. file download box, then nothing when adding php4 module...

12. [RESEND] add FP exception mode prctl

13. add prctls for FP exception control